Hooks:PostHook(WeaponFactoryTweakData, "init", "star15_init", function(self)



	
--[[	if not self.wpn_fps_ass_flat.adds then
		self.wpn_fps_ass_flat.adds = {}
	else
		-- xml did its job, unsurprisingly
	end
	
	for _, part_id in pairs(self.wpn_fps_ass_flat.uses_parts) do
		if self.parts[part_id].type == "sight" then
			self.wpn_fps_ass_flat.adds[part_id] = {"wpn_fps_ass_flat_o_down"}
		else
			-- literally nothing
		end
	end ]] -- saving this for later in case i decide to add folded-down irons
	if BeardLib.Utils:FindMod("Magpul Attachments Pack - Universal") then
		table.insert(self.wpn_fps_ass_flat.uses_parts, "wpn_fps_upg_s_m4_prs")
	end
	
	self.parts.wpn_fps_upg_flat_vg_no.has_description = true
	self.parts.wpn_fps_upg_flat_am_woof.has_description = true
	self.parts.wpn_fps_upg_flat_sfx_mica.has_description = true
	self.parts.wpn_fps_upg_flat_am_woof.custom_stats = {
			rays = 1,
			ammo_pickup_min_mul = 0.75, 
			ammo_pickup_max_mul = 0.75, -- buffed from 0.5 
			armor_piercing_add = 1,
			can_shoot_through_enemy = true,
			can_shoot_through_shield = true, 
			can_shoot_through_wall = true
		}
	
	self.parts.wpn_fps_upg_flat_am_woof.override_weapon_multiply = {
			CLIP_AMMO_MAX = 0.5,
			AMMO_MAX = 0.75,
			stats = {
				damage = 2
			}
		}
	
	self.parts.wpn_fps_upg_flat_am_woof.override_weapon = {
			categories = { "snp" },
			sounds = {
				fire = "spikes_fire_bwlf",
				fire_single = "spikes_fire_bwlf"
			}
		}
		
	self.parts.wpn_fps_upg_flat_am_woof.override = self.parts.wpn_fps_upg_flat_am_woof.override or {}
	-- failsafe for later in case xml borks inexplicably
		
	self.parts.wpn_fps_upg_flat_am_weak.has_description = true
	self.parts.wpn_fps_upg_flat_am_weak.custom_stats = {
			rays = 1,
			ammo_pickup_min_mul = 4.5, 
			ammo_pickup_max_mul = 3, 
			armor_piercing_add = 0,
			can_shoot_through_enemy = false,
			can_shoot_through_shield = false, 
			can_shoot_through_wall = false
		}
		
	self.parts.wpn_fps_upg_flat_am_weak.override_weapon = {
			FIRE_MODE = "auto",
			CAN_TOGGLE_FIREMODE = true,
			AMMO_MAX = 150,
			kick = {
				standing = {
					1.0,
					0.9,
					-0.3,
					0.3
				},
				crouching = {
					1.0,
					0.9,
					-0.3,
					0.3
				},
				steelsight = {
					0.7,
					0.5,
					-0.2,
					0.2
				}
			}
		}
		
	-- gfl sound kit garbage
		
	self.parts.wpn_fps_upg_flat_sfx_mica.override = self.parts.wpn_fps_upg_flat_sfx_mica.override or {}
	-- failsafe in case the xml inexplicably borks (did this for wpn_fps_upg_flat_am_woof earlier lol).
	
	self.parts.wpn_fps_upg_flat_sfx_mica.override_weapon = {
		sounds = {
				fire = "spikes_fire_mica",
				fire_single = "spikes_fire_mica"
			}
	}
	-- redirects default firing noise of weapon (spikes_fire) to gfl rip firing noise (spikes_fire_mica).
	-- for reference wpn_fps_upg_flat_am_woof uses the same method to redirect the default firing noise, but instead to the .50 firing noise (spikes_fire_bwlf).
	
	self.parts.wpn_fps_upg_flat_sfx_mica.override.wpn_fps_upg_flat_am_woof = {
		override_weapon = {
			categories = { "snp" },
			sounds = {
				fire = "spikes_fire_micawlf",
				fire_single = "spikes_fire_micawlf"
			}
		}
	}
	-- if wpn_fps_upg_flat_sfx_mica is equipped, then wpn_fps_upg_flat_am_woof instead redirects firing noises to a .50 noise ripped from gfl.
	
	self.parts.wpn_fps_upg_flat_am_woof.override.wpn_fps_upg_flat_sfx_mica = {
		override_weapon = {}
	}
	-- if wpn_fps_upg_flat_am_woof is equipped, then wpn_fps_upg_flat_sfx_mica causes no sound redirection.
	-- this was done to prevent odd/inconsistent/unstable/unsafe xaudio behavior b/c paranoid.
	-- would have just made override_weapon be a nil here but cpowone said that was bad and i should feel bad
	
	self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_flat = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_m16)
	self.parts.wpn_fps_upg_o_aimpoint.stance_mod.wpn_fps_ass_flat = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_m16)
	self.parts.wpn_fps_upg_o_aimpoint_2.stance_mod.wpn_fps_ass_flat = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_m16)
	self.parts.wpn_fps_upg_o_docter.stance_mod.wpn_fps_ass_flat = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_m16)
	self.parts.wpn_fps_upg_o_eotech.stance_mod.wpn_fps_ass_flat = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_m16)
	self.parts.wpn_fps_upg_o_t1micro.stance_mod.wpn_fps_ass_flat = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_m16)
	self.parts.wpn_fps_upg_o_cmore.stance_mod.wpn_fps_ass_flat = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_m16)
	self.parts.wpn_fps_upg_o_acog.stance_mod.wpn_fps_ass_flat = deep_clone(self.parts.wpn_fps_upg_o_acog.stance_mod.wpn_fps_ass_m16)
	self.parts.wpn_fps_upg_o_cs.stance_mod.wpn_fps_ass_flat = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_m16)
	self.parts.wpn_fps_upg_o_eotech_xps.stance_mod.wpn_fps_ass_flat = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_m16)
	self.parts.wpn_fps_upg_o_reflex.stance_mod.wpn_fps_ass_flat = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_m16)
	self.parts.wpn_fps_upg_o_rx01.stance_mod.wpn_fps_ass_flat = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_m16)
	self.parts.wpn_fps_upg_o_rx30.stance_mod.wpn_fps_ass_flat = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_m16)
	self.parts.wpn_fps_upg_o_45rds.stance_mod.wpn_fps_ass_flat = deep_clone(self.parts.wpn_fps_upg_o_45rds.stance_mod.wpn_fps_ass_m16)
	self.parts.wpn_fps_upg_o_spot.stance_mod.wpn_fps_ass_flat = deep_clone(self.parts.wpn_fps_upg_o_specter.stance_mod.wpn_fps_ass_m16)
	self.parts.wpn_fps_upg_o_xpsg33_magnifier.stance_mod.flat = deep_clone(self.parts.wpn_fps_upg_o_xpsg33_magnifier.stance_mod.wpn_fps_ass_m16)
	self.parts.wpn_fps_upg_o_45rds_v2.stance_mod.wpn_fps_ass_flat = deep_clone(self.parts.wpn_fps_upg_o_45rds_v2.stance_mod.wpn_fps_ass_m16)

	-- SUPPORT FOR EXTRA COOL THINGS AND SHITE
	
	-- daniel defense grip
	if BeardLib.Utils:FindMod("Daniel Defense Grip") then
		table.insert(self.wpn_fps_ass_flat.uses_parts, "wpn_fps_upg_g_m4_dd")
	else
		-- youre really missing out bruv
	end


--
end)