Hooks:PostHook( WeaponTweakData, "init", "star_part_fix", function(self)

	if not self.flat_crew then
		self.flat_crew = deep_clone(self.m16_crew)
	end
	
	if self.SetupAttachmentPoint then -- lower ALL y values by .15, raise ALL x-values by .35
		self:SetupAttachmentPoint( "flat", {
			name = "a_fl",
			base_a_obj = "a_fl",
			position = Vector3( -0.35, 6.85, 0.45 ),
			rotation = RotationCAP( 0, 0, 0 )
		})
		self:SetupAttachmentPoint( "flat", {
			name = "a_m",
			base_a_obj = "a_m",
			position = Vector3( 0, -0.15, 0.35 ),
			rotation = RotationCAP( 0, 0, 0 )
		})
		self:SetupAttachmentPoint( "flat", {
			name = "a_b",
			base_a_obj = "a_b",
			position = Vector3( 0, -3.15, 0.5 ),
			rotation = RotationCAP( 0, 0, 0 )
		})
		self:SetupAttachmentPoint( "flat", {
			name = "a_o",
			base_a_obj = "a_o",
			position = Vector3( 0, -0.15, 0.25 ),
			rotation = RotationCAP( 0, 0, 0 )
		})
		self:SetupAttachmentPoint( "flat", {
			name = "a_bolt",
			base_a_obj = "a_bolt",
			position = Vector3(0, 0.2, 0.1),
			rotation = Rotation( 0, 0, 0 )
		})
		self:SetupAttachmentPoint( "flat", {
			name = "a_body",
			base_a_obj = "a_body",
			position = Vector3( 0, 0, 0 ), --original value: 0, 0.15, -0.35
			rotation = RotationCAP( 0, 0, 0 )
		})
		self:SetupAttachmentPoint( "flat", {
			name = "a_dh",
			base_a_obj = "a_dh",
			position = Vector3( 0.5, -2.55, -10.75 ),
			rotation = RotationCAP( 0, 0, 0 )
		})
		self:SetupAttachmentPoint( "flat", {
			name = "a_s",
			base_a_obj = "a_s",
			position = Vector3( 0, 0.5, 0.45 ),
			rotation = RotationCAP( 0, 0, 0 )
		})
		self:SetupAttachmentPoint( "flat", {
			name = "a_g",
			base_a_obj = "a_g",
			position = Vector3( 0, -0.1, -0.1 ),
			rotation = RotationCAP( 0, 0, 0 )
		})

	
		self:SetupAttachmentPoint( "flat", {
			name = "a_mwg",
			base_a_obj = "a_body",
			position = Vector3( 0, -2, -1.25 ), 
			rotation = RotationCAP( 0, 0, 0 ) 
		})
	else
		log("[ST AR-15] Install WeaponLib, for crying out loud!")
	end

end )